<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Welcome to Firebase Hosting</title>

    <!-- update the version number as needed -->
    <script defer src="/__/firebase/9.8.2/firebase-app-compat.js"></script>
    <!-- include only the Firebase features as you need -->
    <script defer src="/__/firebase/9.8.2/firebase-auth-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-database-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-firestore-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-functions-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-messaging-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-storage-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-analytics-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-remote-config-compat.js"></script>
    <script defer src="/__/firebase/9.8.2/firebase-performance-compat.js"></script>
    <!-- 
      initialize the SDK after all desired features are loaded, set useEmulator to false
      to avoid connecting the SDK to running emulators.
    -->
    <script defer src="/__/firebase/init.js?useEmulator=true"></script>

    <style media="screen">
      body { background: #ECEFF1; color: rgba(0,0,0,0.87); font-family: Roboto, Helvetica, Arial, sans-serif; margin: 0; padding: 0; }
      #message { background: white; max-width: 360px; margin: 100px auto 16px; padding: 32px 24px; border-radius: 3px; }
      #message h2 { color: #ffa100; font-weight: bold; font-size: 16px; margin: 0 0 8px; }
      #message h1 { font-size: 22px; font-weight: 300; color: rgba(0,0,0,0.6); margin: 0 0 16px;}
      #message p { line-height: 140%; margin: 16px 0 24px; font-size: 14px; }
      #message a { display: block; text-align: center; background: #039be5; text-transform: uppercase; text-decoration: none; color: white; padding: 16px; border-radius: 4px; }
      #message, #message a { box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24); }
      #load { color: rgba(0,0,0,0.4); text-align: center; font-size: 13px; }
      @media (max-width: 600px) {
        body, #message { margin-top: 0; background: white; box-shadow: none; }
        body { border-top: 16px solid #ffa100; }
      }
    </style>
  </head>
  <body>
    <h1>Hello!</h1>
    <div>
      <label>Image Name</label>
      <input type="text" id="imageNameInput">
      <input type="file" id="selectImageInput">
      <button id="uploadImageBtn">Upload Image</button>
      
    </div>

    <div>
      <label id="uploadProgressLabel"></label>
      <img id="uploadedImage">
    </div>

    <script type="module" src="app.js"></script>

  </body>
</html>